Navigation

API Documentation

Signed url

Generate a signed URL for a template

GET/v1/templates/signedurlTry it

The signed URL endpoint allows you to generate customized images with dynamic data on the URL.

Use this endpoint to create personalized visuals or dynamic images for various purposes, such as marketing campaigns or user-specific content.

It’s recommended to use this via an SDK.

Authorizations

apiKeystringqueryrequired

Query Parameters

formatenum<string>querydefault: "png"

Available options: png, jpeg, webp

nocachestringquery

By default, we cache the image in the CDN for 1 day to save your bandwidth, use this field to disable cache so you can get the latest image

Example: "true"

_debugstringquery

Only for debug purpose, it draws bounding box for each layer

s3Configobjectquery

Optional custom S3 configuration. If provided, the generated file will be stored in your S3-compatible storage instead of the default Bannerify storage.

Show child attributes
endPointstringrequired

S3 endpoint URL (without protocol)

Example: "s3.amazonaws.com"

portnumberdefault: 443

S3 endpoint port

Example: 443

useSSLbooleandefault: true

Whether to use SSL/TLS

Example: true

regionstringrequired

S3 region

Example: "us-east-1"

bucketstringrequired

S3 bucket name

Example: "my-images-bucket"

pathStylebooleandefault: false

Whether to use path-style URLs

Example: false

accessKeystringrequired

S3 access key

secretKeystringrequired

S3 secret key

customUrlstring

Custom URL template for accessing uploaded files. Use {key} as placeholder for the file key.

Example: "https://cdn.example.com/{key}"

templateIdstringqueryrequired

Your template id

Example: "tpl_xxxxxxxxx"

apiKeyMd5stringquerydeprecated

MD5 hash of the API key

apiKeyHashedstringquery

Sha256 hash of the API key (use this)

signstringqueryrequired

SHA256 hash of the query params, read more at https://bannerify.co/docs/api-reference/endpoint/signed-url

modificationsstringquery

A JSON string of modifications object

thumbnailboolean | nullquerydefault: false

Generate thumbnail preview (low-quality, non-billable)

Response

200 image/png

A image file

The binary of image file